Package javax.el

## Class EvaluationListener

- java.lang.Object
- - javax.el.EvaluationListener

    public abstract class EvaluationListener
    extends java.lang.Object

Since:
  EL 3.0

### Constructor Summary

Constructors
`EvaluationListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterEvaluation​(ELContext context, java.lang.String expression)` Fired after the evaluation of the expression.
`void` `beforeEvaluation​(ELContext context, java.lang.String expression)` Fired before the evaluation of the expression.
`void` `propertyResolved​(ELContext context, java.lang.Object base, java.lang.Object property)` Fired after a property has been resolved.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvaluationListener

    public EvaluationListener()

### Method Detail

#### beforeEvaluation

    public void beforeEvaluation​(ELContext context,
                                 java.lang.String expression)

Fired before the evaluation of the expression.

Parameters:
  `context` - The EL context in which the expression will be evaluated
  `expression` - The expression that will be evaluated

#### afterEvaluation

    public void afterEvaluation​(ELContext context,
                                java.lang.String expression)

Fired after the evaluation of the expression.

Parameters:
  `context` - The EL context in which the expression was evaluated
  `expression` - The expression that was evaluated

#### propertyResolved

    public void propertyResolved​(ELContext context,
                                 java.lang.Object base,
                                 java.lang.Object property)

Fired after a property has been resolved.

Parameters:
  `context` - The EL context in which the property was resolved
  `base` - The base object on which the property was resolved
  `property` - The property that was resolved